Sync remote files to the integration | DataGrail Documentation

Sync remote files to the integration

POST https://www.example.com/api/v2/privacy_requests/:id/integrations/:integration_id/files/sync

Request

Path Parameters

id string required

The unique identifier of the privacy request

Example: 80edbafc-4ec6-45a0-b341-73080457890e

integration_id string required

The unique identifier of the integration to upload files

Example: 7efa58a8-9b7d-4faf-8082-5f7f7f407db7

Header Parameters

authorization string required

Example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9

Body

List of files to sync (in format file_refs[]=).

Max upload limit of all files is 200 MB.

Supported storages: AWS S3, Azure Blob Storage, Google Cloud Storage.

The files must be located in the special bucket at the following path:
api_integration_files_sync/{privacy_request.uuid}/{integration.uuid}/*

Example:

curl -X POST https://www.example.com/api/v2/privacy_requests/:id/integrations/:integration_id/files/sync -H "Content-Type: application/json" -H "Authorization: Bearer [KEY]" -d '{"file_refs": ["api_integration_files_sync/80edbafc-4ec6-45a0-b341-73080457890e/7efa58a8-9b7d-4faf-8082-5f7f7f407db7/example1.txt", "api_integration_files_sync/80edbafc-4ec6-45a0-b341-73080457890e/7efa58a8-9b7d-4faf-8082-5f7f7f407db7/example2.txt"]}'

file_refs string[] required

{
  "file_refs": [
    "string"
  ]
}

Responses

Files uploading complete

Schema

message string

Message which contains count of synced files.

Example: 2 files synced successfully.

{
  "message": "2 files synced successfully."
}

Bad Request

Schema

error string

Detailed error message.

{
  "error": "string"
}

Unauthorized

Schema

error string

Detailed error message.

{
  "error": "string"
}

Forbidden

Schema

error string

Detailed error message.

{
  "error": "string"
}

Not Found

Schema

error string

Detailed error message.

{
  "error": "string"
}

Example CURL Command

curl -L 'https://www.example.com/api/v2/privacy_requests/:id/integrations/:integration_id/files/sync' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-d '{
  "file_refs": [
    "string"
  ]
}'

Parameters

Body

{
  "file_refs": [
    "string"
  ]
}

Need help?

If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.

Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.